cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Vadim Gritsenko (JIRA)" <j...@apache.org>
Subject [jira] Commented: (COCOON-2079) Parser error when launching webapp with jetty
Date Sat, 04 Aug 2007 22:16:54 GMT

    [ https://issues.apache.org/jira/browse/COCOON-2079?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel#action_12517730
] 

Vadim Gritsenko commented on COCOON-2079:
-----------------------------------------

The culprit is the impotent pull-parser-2.jar which registers itself as general sax parser
factory (see pull-parser-2.jar:/META-INF/services/) and then fails miserably trying to parse
cocoon.roles with DOCTYPE declaration.

Beside yanking this jar out (not sure what requires this parser? what depends on it?), which
I have not tried, other option to make Cocoon start is to override service declaration:

cd .../core/cocoon-webapp/target/cocoon-webapp/WEB-INF/classes
unzip .../core/cocoon-webapp/target/cocoon-webapp/WEB-INF/lib/xercesImpl-2.8.1.jar META-INF/services/javax.xml.parsers.SAXParserFactory

Ok, anybody got a clue what should next step be? :)

> Parser error when launching webapp with jetty
> ---------------------------------------------
>
>                 Key: COCOON-2079
>                 URL: https://issues.apache.org/jira/browse/COCOON-2079
>             Project: Cocoon
>          Issue Type: Bug
>          Components: * Cocoon Core
>    Affects Versions: 2.2-dev (Current SVN)
>            Reporter: Gustavo N. Fernandes
>            Assignee: Jörg Heinicke
>            Priority: Blocker
>             Fix For: 2.2-dev (Current SVN)
>
>         Attachments: dtd_patch.patch
>
>
> Erase local mvn repo on .m2
> svn update
> mvn clean
> mvn -Dmaven.test.skip=true -P allblocks install
> cd core/cocoon-webapp
> mvn jetty:run
> Gives the following error:
> Caused by: org.apache.avalon.framework.configuration.ConfigurationException: Cannot load
'jar:file:/C:/projetos/cocoon/trunk/core/cocoon-webapp/target/cocoon-we
> bapp/WEB-INF/lib/cocoon-core-2.2.0-RC2-SNAPSHOT.jar!/org/apache/cocoon/cocoon.roles'
at jar:file:/C:/projetos/cocoon/trunk/core/cocoon-webapp/target/cocoon-webapp/WEB-INF/lib/cocoon-core-2.2.0-RC2-SNAPSHOT.jar!/org/apache/cocoon/cocoon.xconf:30:61
>         at org.apache.cocoon.core.container.spring.avalon.ConfigurationReader.loadURI(ConfigurationReader.java:508)
>         at org.apache.cocoon.core.container.spring.avalon.ConfigurationReader.handleInclude(ConfigurationReader.java:458)
>         ... 62 more
> Caused by: org.gjt.xpp.XmlPullParserException: <![DOCTYPE declarations not supported
at line 32 and column 3 seen "...TA #REQUIRED\r\n               class CDATA  #REQUIRED\r\n>\r\n]"...
(parser state UNKNONW_EVENT (-1))
> This happens on windows and linux os, both with java 5 and 6.  
> It seems core/cocoon-core/src/main/resources/org/apache/cocoon/cocoon.roles is not valid
according to the DTD that is declared in the header. 

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message